import type { UnifiedEmailServer } from '../routing/classes.unified.email.server.js';
interface Headers {
    [key: string]: string;
}
interface IEmailSignJobOptions {
    domain: string;
    selector: string;
    headers: Headers;
    body: string;
}
export declare class EmailSignJob {
    emailServerRef: UnifiedEmailServer;
    jobOptions: IEmailSignJobOptions;
    constructor(emailServerRef: UnifiedEmailServer, options: IEmailSignJobOptions);
    loadPrivateKey(): Promise<string>;
    getSignatureHeader(emailMessage: string): Promise<string>;
}
export {};
